package net.sf.jasperreports.charts.fill;

import java.awt.Color;
import net.sf.jasperreports.charts.JRAreaPlot;
import net.sf.jasperreports.charts.JRCategoryAxisFormat;
import net.sf.jasperreports.charts.JRValueAxisFormat;
import net.sf.jasperreports.engine.JRChartPlot;
import net.sf.jasperreports.engine.JRExpression;
import net.sf.jasperreports.engine.JRFont;
import net.sf.jasperreports.engine.JRStyleContainer;
import net.sf.jasperreports.engine.base.JRBaseFont;
import net.sf.jasperreports.engine.fill.JRFillChartPlot;
import net.sf.jasperreports.engine.fill.JRFillObjectFactory;
import net.sf.jasperreports.engine.util.JRStyleResolver;

public class JRFillAreaPlot extends JRFillChartPlot implements JRAreaPlot {
  protected JRFont categoryAxisLabelFont = null;
  
  protected Color categoryAxisLabelColor = null;
  
  protected JRFont categoryAxisTickLabelFont = null;
  
  protected Color categoryAxisTickLabelColor = null;
  
  protected Color categoryAxisLineColor = null;
  
  protected JRFont valueAxisLabelFont = null;
  
  protected Color valueAxisLabelColor = null;
  
  protected JRFont valueAxisTickLabelFont = null;
  
  protected Color valueAxisTickLabelColor = null;
  
  protected Color valueAxisLineColor = null;
  
  public JRFillAreaPlot(JRAreaPlot areaPlot, JRFillObjectFactory factory) {
    super((JRChartPlot)areaPlot, factory);
    this.categoryAxisLabelFont = (JRFont)new JRBaseFont(null, null, (JRStyleContainer)areaPlot.getChart(), areaPlot.getCategoryAxisLabelFont());
    this.categoryAxisLabelColor = areaPlot.getOwnCategoryAxisLabelColor();
    this.categoryAxisTickLabelFont = (JRFont)new JRBaseFont(null, null, (JRStyleContainer)areaPlot.getChart(), areaPlot.getCategoryAxisTickLabelFont());
    this.categoryAxisTickLabelColor = areaPlot.getOwnCategoryAxisTickLabelColor();
    this.categoryAxisLineColor = areaPlot.getOwnCategoryAxisLineColor();
    this.valueAxisLabelFont = (JRFont)new JRBaseFont(null, null, (JRStyleContainer)areaPlot.getChart(), areaPlot.getValueAxisLabelFont());
    this.valueAxisLabelColor = areaPlot.getOwnValueAxisLabelColor();
    this.valueAxisTickLabelFont = (JRFont)new JRBaseFont(null, null, (JRStyleContainer)areaPlot.getChart(), areaPlot.getValueAxisTickLabelFont());
    this.valueAxisTickLabelColor = areaPlot.getOwnValueAxisTickLabelColor();
    this.valueAxisLineColor = areaPlot.getOwnValueAxisLineColor();
  }
  
  public JRExpression getCategoryAxisLabelExpression() {
    return ((JRAreaPlot)this.parent).getCategoryAxisLabelExpression();
  }
  
  public JRFont getCategoryAxisLabelFont() {
    return this.categoryAxisLabelFont;
  }
  
  public void setCategoryAxisLabelFont(JRFont font) {}
  
  public Color getCategoryAxisLabelColor() {
    return JRStyleResolver.getCategoryAxisLabelColor((JRCategoryAxisFormat)this, (JRChartPlot)this);
  }
  
  public Color getOwnCategoryAxisLabelColor() {
    return this.categoryAxisLabelColor;
  }
  
  public void setCategoryAxisLabelColor(Color color) {}
  
  public JRFont getCategoryAxisTickLabelFont() {
    return this.categoryAxisTickLabelFont;
  }
  
  public void setCategoryAxisTickLabelFont(JRFont font) {}
  
  public Color getCategoryAxisTickLabelColor() {
    return JRStyleResolver.getCategoryAxisTickLabelColor((JRCategoryAxisFormat)this, (JRChartPlot)this);
  }
  
  public Color getOwnCategoryAxisTickLabelColor() {
    return this.categoryAxisTickLabelColor;
  }
  
  public void setCategoryAxisTickLabelColor(Color color) {}
  
  public String getCategoryAxisTickLabelMask() {
    return ((JRAreaPlot)this.parent).getCategoryAxisTickLabelMask();
  }
  
  public void setCategoryAxisTickLabelMask(String mask) {}
  
  public Color getCategoryAxisLineColor() {
    return JRStyleResolver.getCategoryAxisLineColor((JRCategoryAxisFormat)this, (JRChartPlot)this);
  }
  
  public Color getOwnCategoryAxisLineColor() {
    return this.categoryAxisLineColor;
  }
  
  public void setCategoryAxisLineColor(Color color) {}
  
  public JRExpression getValueAxisLabelExpression() {
    return ((JRAreaPlot)this.parent).getValueAxisLabelExpression();
  }
  
  public JRFont getValueAxisLabelFont() {
    return this.valueAxisLabelFont;
  }
  
  public void setValueAxisLabelFont(JRFont font) {}
  
  public Color getValueAxisLabelColor() {
    return JRStyleResolver.getValueAxisLabelColor((JRValueAxisFormat)this, (JRChartPlot)this);
  }
  
  public Color getOwnValueAxisLabelColor() {
    return this.valueAxisLabelColor;
  }
  
  public void setValueAxisLabelColor(Color color) {}
  
  public JRFont getValueAxisTickLabelFont() {
    return this.valueAxisTickLabelFont;
  }
  
  public void setValueAxisTickLabelFont(JRFont font) {}
  
  public Color getValueAxisTickLabelColor() {
    return JRStyleResolver.getValueAxisTickLabelColor((JRValueAxisFormat)this, (JRChartPlot)this);
  }
  
  public Color getOwnValueAxisTickLabelColor() {
    return this.valueAxisTickLabelColor;
  }
  
  public void setValueAxisTickLabelColor(Color color) {}
  
  public String getValueAxisTickLabelMask() {
    return ((JRAreaPlot)this.parent).getValueAxisTickLabelMask();
  }
  
  public void setValueAxisTickLabelMask(String mask) {}
  
  public Color getValueAxisLineColor() {
    return JRStyleResolver.getValueAxisLineColor((JRValueAxisFormat)this, (JRChartPlot)this);
  }
  
  public Color getOwnValueAxisLineColor() {
    return this.valueAxisLineColor;
  }
  
  public void setValueAxisLineColor(Color color) {}
}
